Ubuntu

linux: 2.6.32-56.118 -proposed tracker

Reported by Brad Figg on 2014-01-06
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Package-testing
Undecided
Unassigned
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-ports-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Parameswaran Sivatharman
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-56.118 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 06. January 2014 17:17 UTC
kernel-stable-Prepare-package-end:Tuesday, 07. January 2014 01:03 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 07. January 2014 01:03 UTC
ppa-package-testing-start:Monday, 27. January 2014 09:00 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 28. January 2014 09:00 UTC
kernel-stable-Verification-testing-start:Tuesday, 28. January 2014 10:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 28. January 2014 10:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 28. January 2014 10:01 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. January 2014 10:01 UTC
kernel-stable-Regression-testing-end:Monday, 03. February 2014 11:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 11. February 2014 15:00 UTC
kernel-stable-Security-signoff-end:Tuesday, 11. February 2014 20:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 17. February 2014 15:24 UTC
kernel-stable-Certification-testing-end:Monday, 17. February 2014 15:24 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:02 UTC

CVE References

Brad Figg (brad-figg) on 2014-01-06
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1266612

description: updated
Brad Figg (brad-figg) on 2014-01-27
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-01-28
description: updated
Brad Figg (brad-figg) on 2014-01-28
description: updated
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-03
description: updated
Brad Figg (brad-figg) on 2014-02-11
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-11
description: updated
Brad Figg (brad-figg) on 2014-02-17
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-56.118

---------------
linux (2.6.32-56.118) lucid; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1266525

  [ Upstream Kernel Changes ]

  * inet: prevent leakage of uninitialized memory to user in recv syscalls
    - LP: #1256919
    - CVE-2013-6405
  * inet: fix addr_len/msg->msg_namelen assignment in recv_error and rxpmtu
    functions
    - LP: #1256919
    - CVE-2013-6405
  * aacraid: missing capable() check in compat ioctl
    - LP: #1256094
    - CVE-2013-6383
 -- Brad Figg <email address hidden> Mon, 06 Jan 2014 09:21:48 -0800

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers